$ErrorActionPreference = 'Stop'

$url64 = "https://github.com/infracost/infracost/releases/download/v0.10.28/infracost-windows-amd64.zip"
$unzipLocation = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageParams = @{
  PackageName   = 'infracost'
  UnzipLocation = $unzipLocation
  Url64         = $url64
  Checksum64    = 'FBE0FD6AB81EA0774EE535DCFFA5C834EDE766F5FA5568112F065842E42E8F21'
  ChecksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageParams
